Subject: Re: [Fwd: Re: question: linux TCP/IP stack implementation]

From: John Haller <[email-masked]>
Date: Fri, 10 Sep 2004 08:40:35 -0500

>>Could you direct me to any good documentation on the implementation of
>>the TCP/IP stack in the linux kernel.
>>
>>I'm a Msc sudent of the University of Stellenbosch, South Africa.
>>As an experiment I wat to replace the linux TCP implementation with a
>>model checked version.
There is a new (June, 2004) book on the TCP/IP stack in Linux 2.6:
The Linux TCP/IP Stack: Networking for Embedded Systems
by Thomas Herbert, ISBN 1584502843, list price US$49.95, 586 pages

While I haven't read this book, there was a positive
review in this month's IEEE Computer Magazine.
-- 
John Haller 630-979-6407 [email-masked]